Name:           excalibur-bootstrap-bundle
Version:        0.1
Release:        alt3
Summary:        bootstrap pack of excalibur jars (temporary package)
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://excalibur.apache.org/
#Source0:        cornerstone-connection-api-2.2.1.jar
#Source1:        cornerstone-connection-impl-2.2.1.jar
#Source2:        cornerstone-sockets-api-2.2.1.jar
#Source3:        cornerstone-sockets-impl-2.2.1.jar
#Source4:        cornerstone-threads-api-2.2.1.jar
#Source5:        cornerstone-threads-impl-2.2.1.jar
#Source6:        excalibur-pool-api-2.2.1.jar
#Source7:        excalibur-pool-impl-2.2.1.jar
#Source8:        excalibur-thread-api-2.2.1.jar
#Source9:        excalibur-thread-impl-2.2.1.jar

Source10:       aspectjrt-1.2.1.jar
Source11:       aspectjtools-1.2.1.jar
Source12:       aspectjweaver-1.2.1.jar

BuildArch:      noarch
#Provides: excalibur-cornerstone-connection-api
#Provides: excalibur-cornerstone-connection-impl
#Provides: excalibur-cornerstone-sockets-api
#Provides: excalibur-cornerstone-sockets-impl
#Provides: excalibur-cornerstone-threads-api
#Provides: excalibur-cornerstone-threads-impl
#Provides: excalibur-pool-api
#Provides: excalibur-pool-impl
#Provides: excalibur-thread-api
#Provides: excalibur-thread-impl
Provides: aspectj = 1.2.0

#Requires: jakarta-commons-collections
#Requires: excalibur-avalon-framework
#Requires: excalibur-avalon-logkit
#Requires: excalibur-io
#Requires: excalibur-cornerstone-connection-api
#Requires: excalibur-cornerstone-connection-impl


BuildRequires: jpackage-utils

%description
temporary package to satisfy circular dependencies:
bootstrap pack of excalibur jars.


%prep

%build

%install
# jars
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/excalibur
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/
install -m 644 %{SOURCE10} %{SOURCE11} %{SOURCE12} $RPM_BUILD_ROOT%{_javadir}/

#pushd $RPM_BUILD_ROOT%{_javadir}/excalibur
#ln -s cornerstone-connection-api-2.2.1.jar cornerstone-connection-api.jar
#ln -s cornerstone-connection-impl-2.2.1.jar cornerstone-connection-impl.jar
#ln -s cornerstone-sockets-api-2.2.1.jar cornerstone-sockets-api.jar
#ln -s cornerstone-sockets-impl-2.2.1.jar cornerstone-sockets-impl.jar
#ln -s cornerstone-threads-api-2.2.1.jar cornerstone-threads-api.jar
#ln -s cornerstone-threads-impl-2.2.1.jar cornerstone-threads-impl.jar
#ln -s excalibur-pool-api-2.2.1.jar excalibur-pool-api.jar
#ln -s excalibur-pool-impl-2.2.1.jar excalibur-pool-impl.jar
#ln -s excalibur-thread-api-2.2.1.jar excalibur-thread-api.jar 
#ln -s excalibur-thread-impl-2.2.1.jar excalibur-thread-impl.jar
#popd

pushd $RPM_BUILD_ROOT%{_javadir}
ln -s aspectjrt-1.2.1.jar aspectjrt.jar
ln -s aspectjtools-1.2.1.jar aspectjtools.jar
ln -s aspectjweaver-1.2.1.jar aspectjweaver.jar  
popd

%files
%{_javadir}/*

%changelog
* Fri Jul 20 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt3
- removed all excalibur-* provides (already built)

* Tue Jul 03 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2
- added aspectj

* Tue Jul 03 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- first build (tmp package to satisfy circular dependencies)

